<template>
  <b-col md class="p-3">
    <div class="card border-0">
      <img :src="urlFTP + 'tn/tn1-' + content.data.image1" class="rounded img-fluid" alt />
      <div class="card border-0">
        <div class="card-body mt-n13 bg-white mr-6 rounded-right p-4">
          <h4 class="mb-3">{{ content.data.titre1 }}</h4>
          <p>{{ content.data.description1 | cleanHtml() | str_limit(limit) }}</p>

          <b-button pill variant="outline-primary"
            ><router-link :to="{ name: pageName + '-detail', params: { moduleName: moduleName, id: content.id } }"
              ><small><font-awesome-icon icon="angle-right" />En savoir plus</small></router-link
            ></b-button
          >
        </div>
      </div>
    </div>
  </b-col>
</template>
<script>
export default {
  props: ["content", "limit", "moduleName", "pageName"],
  data() {
    return {
      urlFTP: process.env.VUE_APP_URL_UPLOAD_FOLDER + process.env.VUE_APP_SITE_ALIAS + "/"
    };
  }
};
</script>
